const linearScale = d3.scaleLinear()
	.domain([0, 100])
	.range([0, 700]);

const sqrtScale = d3.scaleSqrt()
	.domain([0, 100])
	.range([0, 30])

const logScale = d3.scaleLog()
	.domain([10, 100000])
	.range([0, 700])

const myData = [0, 10, 100, 1000, 10000, 100000];

d3
	.select('.scaleLog')
	.selectAll('text')
	.data(myData)
	.join('text')
		.attr('x', d => logScale(d) + 200)
		.attr('y', 200)
		.text(d => d)